Subject: Re: [sipcore] [Technical Errata Reported] RFC7976 (5393)

From: Ben Campbell <[email-masked]>
Date: Fri, 30 Nov 2018 15:50:38 -0600

(+ sipcore and chairs)

Hi Roland,

When you say the 3GPP identified the need to send P-Visited-Network-ID in responses; was that an error in RFC7976 at the time of publication, or something that was realized after the RFC was published?

The former makes sense for an erratum. But situations where an RFC expresses the intent of the authors at the time of publication, but we learn later that we should have done something different are not appropriate for errata; those usually need us to update (or obsolete) the RFC through the usual processes.

Thanks!

Ben.

> On Jun 15, 2018, at 1:40 AM, RFC Errata System <[email-masked]> wrote:
> 
> The following errata report has been submitted for RFC7976,
> "Updates to Private Header (P-Header) Extension Usage in Session Initiation Protocol (SIP) Requests and Responses".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5393
> 
> --------------------------------------
> Type: Technical
> Reported by: Roland Jesske <[email-masked]>
> 
> Section: 3
> 
> Original Text
> -------------
> 3.  Updates to RFC 7315
> 
>   This section implements the update to Section 5.7 of RFC 7315, in
>   order to implement the misalignment fixes and the 3GPP requirements
>   described in Section 2.
> 
>   Old text:
> 
>   The P-Associated-URI header field can appear in SIP REGISTER method
>   and 2xx resonses [sic].  The P-Called-Party-ID header field can
>   appear in SIP INVITE, OPTIONS, PUBLISH, SUBSCRIBE, and MESSAGE
>   methods and all responses.  The P-Visited-Network-ID header field can
>   appear in all SIP methods except ACK, BYE, and CANCEL and all
>   responses.  The P-Access-Network-Info header field can appear in all
>   SIP methods except ACK and CANCEL.  The P-Charging-Vector header
>   field can appear in all SIP methods except CANCEL.  The
>   P-Charging-Function-Addresses header field can appear in all SIP
>   methods except ACK and CANCEL.
> 
>   New text:
> 
>   The P-Associated-URI header field can appear in SIP REGISTER 2xx
>   responses.  The P-Called-Party-ID header field can appear in the SIP
>   INVITE, OPTIONS, PUBLISH, REFER, SUBSCRIBE, and MESSAGE methods.  The
>   P-Visited-Network-ID header field can appear in all SIP methods
>   except ACK, BYE, CANCEL, NOTIFY, PRACK, INFO, and UPDATE.  The
>   P-Access-Network-Info header field can appear in all SIP methods and
>   non-100 responses, except in CANCEL methods, CANCEL responses, and
>   ACK methods triggered by non-2xx responses.  The P-Charging-Vector
>   header field can appear in all SIP methods and non-100 responses,
>   except in CANCEL methods, CANCEL responses, and ACK methods triggered
>   by non-2xx responses.  The P-Charging-Function-Addresses header field
>   can appear in all SIP methods and non-100 responses, except in CANCEL
>   methods, CANCEL responses, and ACK methods.
> 
> Corrected Text
> --------------
> 3.  Updates to RFC 7315
> 
>   This section implements the update to Section 5.7 of RFC 7315, in
>   order to implement the misalignment fixes and the 3GPP requirements
>   described in Section 2.
> 
>   Old text:
> 
>   The P-Associated-URI header field can appear in SIP REGISTER method
>   and 2xx resonses [sic].  The P-Called-Party-ID header field can
>   appear in SIP INVITE, OPTIONS, PUBLISH, SUBSCRIBE, and MESSAGE
>   methods and all responses.  The P-Visited-Network-ID header field can
>   appear in all SIP methods except ACK, BYE, and CANCEL and all
>   responses.  The P-Access-Network-Info header field can appear in all
>   SIP methods except ACK and CANCEL.  The P-Charging-Vector header
>   field can appear in all SIP methods except CANCEL.  The
>   P-Charging-Function-Addresses header field can appear in all SIP
>   methods except ACK and CANCEL.
> 
>   New text:
> 
>   The P-Associated-URI header field can appear in SIP REGISTER 2xx
>   responses.  The P-Called-Party-ID header field can appear in the SIP
>   INVITE, OPTIONS, PUBLISH, REFER, SUBSCRIBE, and MESSAGE methods.  The
>   P-Visited-Network-ID header field can appear in all SIP methods
>   except ACK, BYE, CANCEL, NOTIFY, PRACK, INFO, and UPDATE and all
>   responses exept 100.  The
>   P-Access-Network-Info header field can appear in all SIP methods and
>   non-100 responses, except in CANCEL methods, CANCEL responses, and
>   ACK methods triggered by non-2xx responses.  The P-Charging-Vector
>   header field can appear in all SIP methods and non-100 responses,
>   except in CANCEL methods, CANCEL responses, and ACK methods triggered
>   by non-2xx responses.  The P-Charging-Function-Addresses header field
>   can appear in all SIP methods and non-100 responses, except in CANCEL
>   methods, CANCEL responses, and ACK methods.
> 
> Notes
> -----
> The Third Generation Partnership Project (3GPP) has identified cases
>   where the private header field P-Visited-Network-ID SIP private
>   header extensions, which is defined in RFC 7315 and updated by RFC
>   7976, needs to be included in SIP requests and responses.  This
>   eratta updates RFC 7976, in order to allow inclusion of the P-
>   Visited-Network-ID header field in responses exept 100.
> The issue was also discussed within a 3GPP - IETF coordination meeting.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
> 
> --------------------------------------
> RFC7976 (draft-holmberg-dispatch-rfc7315-updates-09)
> --------------------------------------
> Title               : Updates to Private Header (P-Header) Extension Usage in Session Initiation Protocol (SIP) Requests and Responses
> Publication Date    : September 2016
> Author(s)           : C. Holmberg, N. Biondic, G. Salgueiro
> Category            : INFORMATIONAL
> Source              : IETF - NON WORKING GROUP
> Area                : N/A
> Stream              : IETF
> Verifying Party     : IESG
>